Problem z kompatybilności między wersjami

krycha88
Posty: 2233
Rejestracja: pt lis 16, 2018 7:25 am

Największy problem będzie miał kolega @Patryk który zawsze aktualizuje urządzenia :D
Wsparcie projektu GUI-Generic ;)
Patryk
Posty: 1783
Rejestracja: pn sty 07, 2019 7:51 pm
Lokalizacja: Rybnik

krycha88 pisze: czw lip 29, 2021 5:23 pm Największy problem będzie miał kolega @Patryk który zawsze aktualizuje urządzenia :D
Zawsze pod ręką mam "kabelki" :D
LukaszH
Posty: 195
Rejestracja: sob gru 14, 2019 11:49 pm

Jak się rozjedzie konfiguracja i od nowa będzie trzeba ustawić to chyba nie jest tak źle - w takim wypadku uważam że można jedynie poinformować. Natomiast jak będzie trzeba otwierać puszki i wpinać się kabelkami aby wgrać od nowa to faktycznie trochę problem.
YoMan
Posty: 200
Rejestracja: czw kwie 30, 2020 5:18 pm

a opcja zewnętrznego softu?
zapisać konfig na dysk -> migracja za pomocą zewnętrznego softu -> zaczytanie do nowego softu GUI?
jako jednorazowa czynność nie powinno być upierdliwe. Można dodać ostrzeżenie o konieczności wykonania takiej procedury. Takie rzeczy się stosuje "we świecie". Sam pracuję na programie CAD/CAM i co kilka lat przy którejś kolejnej wersji musimy wszystkie projekty wysłać do "zmigrowania" albo połączyć się zdalnie, żeby dostawca softu je zmigrował. Tu może być tak samo tylko każdy sam sobie zmigruje (raczej nie będziesz siedział na helpdesku) :) :) :)
YoMan
krycha88
Posty: 2233
Rejestracja: pt lis 16, 2018 7:25 am

Jednak wybrałem opcję migracji konfiguracji :)

Proszę o sprawdzenie, na razie na teście:
https://gui-generic-builder.supla.io/test.php

Migracja zawsze działa w górę nie będzie można później cofnąć się do wersji starszej. Więc przed wgraniem nowej wersji zróbcie kopię zapasową konfiguracji.

Jeżeli nie zgłosicie błędów w ciągu tygodnia to wrzucę to na wersję oficjalną :)
Wsparcie projektu GUI-Generic ;)
local
Posty: 136
Rejestracja: pn sty 27, 2020 11:33 am

Jeśli nie korzystam z ekspandera portów to również będzie problem z konfiguracją ?
4xShelly 1(GUI 1.8), Shelly 1L, Shelly 2.5(GUI 1.8), Sonoff T3 (GUI 1.8), Sonoff Basic R2 (MultiSonoff 1.16), 4xNeo 16A (GUI 1.8)
Patryk
Posty: 1783
Rejestracja: pn sty 07, 2019 7:51 pm
Lokalizacja: Rybnik

Zaktualizowałem przez OTA jedno (testowe) gniazdko (SP111) z v3.1.9 do v3.1.10-develop ( własna kompilacja) i wydaje mi się, że wszystko jest ok.
krycha88
Posty: 2233
Rejestracja: pt lis 16, 2018 7:25 am

local pisze: ndz sie 01, 2021 7:09 pm Jeśli nie korzystam z ekspandera portów to również będzie problem z konfiguracją ?
Na chwilę obecną nie będzie, żadnego problemu bo przeprowadzam odpowiednią migrację danych.
Wsparcie projektu GUI-Generic ;)
ODPOWIEDZ

Wróć do „GUI Generic”